# &konsole; käsiraamat

Jonathan
Singer

    jsinger@leeta.net

Stephan
Binner

    Stephan.Binner@gmx.de

Hooldaja
Michael
McBride
Korrigeerija

    mmcbride@ematic.com

Lauri
Watts
Korrigeerija

    lauri@kde.org

Marek
Laane

    bald@online.ee

Tõlge eesti keelde
2000
2001
2002
Jonathan Singer
&FDLNotice;
2002-10-05
1.20.00

See on rakenduse &konsole; kasutaja käsiraamat.

&konsole; on &kde; X-terminali emulaator.

KDE
konsool
kdebase
käsk
rida

## &konsole; sissejuhatus

### Mis on terminal?

&UNIX; operatsioonisüsteemid olid algselt loodud ainult tekstipõhiste süsteemidena, mida juhiti klaviatuurikäskudega - seda nimetatakse käsurealiideseks (command-line interface ehk CLI). &X-Window;, &kde; ja muud projektid on hiljem toonud kaasa graafilise liidese, mida sinagi praegu kasutad. Kuid CLI on endiselt alles ning seda kasutatakse päris sageli kui lihtsaimat, kiireimat ja võimsaimat moodust paljude ülesannete sooritamiseks.

&konsole; on X terminali emulaator, mida sageli nimetatakse ka terminaliks või shelliks (eesti keeles vahel ka koorik). See pakub võimaluse kasutada töölaual vanamoelist tekstiekraani, mis samas aga suudab muretult jagada ekraani ka graafiliste rakendustega. Windowsi kasutajatele on vahest tuttav MS-DOS Prompt, mis pakub võimalust kasutada DOS-i käsurida &Windows; operatsioonisüsteemis. (Kuigi tasub mainida, et &UNIX; CLI on palju võimsam ja kergem kasutada kui DOS!)

&UNIX; CLI tutvustamine väljub käesoleva käsiraamatu piirest. Õnneks on selle kohta peaaegu igas keeles saadaval nii õhukesi kui kui pakse käsiraamatuid ja tutvustusi. Õppevahendeid leidub ka internetis. Naudi &kde;d, kuid ära pelga tutvumast ka käsurea võimalustega! Kindlasti leiad, et isegi vaid põhialuste omandamine muudab arvuti kasutamise palju tõhusamaks ja naduitavamaks.

### Mis muudab &konsole; eriliseks?

&konsole; täiustatud võimaluste sekka kuuluvad lihtne seadistamine ja võime kasutada mitut terminalishelli ühes aknas, mis koormab vähem töölauda.

&konsole; abil võib kasutaja avada:

- &Linux; konsooliseansse

- Shelliseansse

- Ekraaniseansse

- Failihalduri Midnight Commander seansse

- Administraatori konsooliseansse

- Administraatori Midnight Commanderi seansse

Neid seansse võib ka ümber nimetada, et saaksid kõigil shellidel paremini silma peal hoida, või neile signaale saata (STOP, CONT, HUP, INT, TERM, KILL).

&konsole; veelgi põhjalikumaks juhtimiseks saab:

- peita/näidata menüüriba, tööriistariba, kerimisriba ja/või raami

- valida &konsole; akna suuruse, fondid, värviskeemid ja klahviseosed

- muuta kerimisriba asukohta või see peita

Kõiki mainitud seadistusi saab salvestades muuta järgmiste seansside jaoks vaikeväärtusteks.

Kes tunneb suuremat huvi vabade X terminalide vastu, võib esmalt võtta teadmiseks, et neid on kaht tüüpi: algupärane xterm, mis ulatub isegi X-ist endast varasemasse aega (kuigi vaid paari kuu võrra), ning xvt, xtermi vähem veli, millele tugineb enamik praegusi terminalirakendusi (eriti näiteks eterm).

&konsole; on üle pika aja täielik terminali ümberkirjutamine algusest peale. Kui xterm on üsna selgelt surmale määratud (selle `README`s on isegi sõnad Kaotage lootus, teie kõik, kes te siia satute), pakub &konsole; uue võimaluse kasutada kaasaegset tehnoloogiat ning X-i kõiki võimalusi.

## &konsole; kasutamine

### Käivitamine

&konsole; käivitamisel töötab rakendus (tüüpiline &UNIX; shell) aknas, kus võib kohe käsureale kirjutama hakata.

&konsole; ekraan
&konsole; ekraan

Käivitamisel võib ilmuda ka "Päeva nõuanne", mis pakub soovitusi &konsole; kasutamiseks. Kui sa ei soovi neid saada, eemalda märge kastist Nõuandeid näidatakse käivitamisel.

### Ajalugu

Kui read üle ekraani kulgevad ja silmist kaovad, saab kadunuid uuesti vaadata kerimisriba ülespoole nihutades kas hiirega või kiirklahvidega &Shift;Page Up (liigub lehekülje võrra tagasi), &Shift;Page Down (liigub lehekülje võrra edasi), &Shift;Nool üles (liigub rea võrra üles) ja &Shift;Nool alla (liigub rea võrra alla) - seda muidugi juhul, kui võimalus Ajalugu on sisse lülitatud.

### Hiirenupud

Vasak

  Klõps hiire vasaku nupuga edastatakse emulaatoris töötavale rakendusele sündmusena, kui rakendus tunnustab hiirt. Kui rakendus hiireklõpsudele reageerib, annab &konsole; sellest teada noolekujulise kursoriga, kui mitte, siis on näha I- ehk tulbakujuline kursor.

  Hiire vasakut nuppu all hoides hiirt üle ekraani lohistades saab hiirt mittetunnustavates rakendustes märkida ära tekstibloki. Lohistamise ajal näidatakse märgitud teksti ka visuaalselt. Märgitud teksti kopeerimiseks lõikepuhvrisse, kus seda saab kasutada &konsole;s või mõnes muus rakenduses, vali käsk Kopeeri menüüst Redigeerimine. Valitud teksti saab ka sobivasse rakendusse otse lohistada. Selleks klõpsa valitud tekstil ja lohista see soovitud kohta (sõltuvalt &kde; seadistustest võib olla vajalik hoida lohistamise ajal all klahvi &Ctrl;).

  Tavaliselt lisatakse iga valitud rea lõppu reavahetuse märk. See tuleb eriti kasuks lähtekoodi või mõne käsu väljundi lõikamisel ja asetamisel. Tavalise teksti korral ei ole reavahetused nii olulised. Mõni võib isegi eelistada, et tekst oleks märgijada, mida automaatselt vormindatakse rakenduses, kuhu see asetatakse. Sellise režiimi valimiseks hoia tavalisel valimisel all klahvi &Ctrl;.

  Topeltklõps hiire vasaku nupuga valib sõna, kolmikklõps terve rea.

  Kui märkimise ajal puudutatakse tekstiala ülemist või alumist serva, kerib &konsole; ekraani üles või alla, näidates teksti oma ajaloopuhvrist. Kerimine peatub koos hiire liikumise peatumisega.

  Kui hiir lahti lasta, püüab &konsole; hoida lõikepuhvris olevat teksti nähtavana, värvides märgitud ala. See kaotab värvi niipea, kui lõikepuhvri sisu muutub, märgitud alas teksti muudetakse või klõpsatakse hiire vasaku nupuga.

  Teksti märkimiseks hiirt tunnustavates rakendustes (näiteks Midnight Commander) tuleb klõpsamise ajal vajutada ka klahvi &Shift;.

Keskmine

  Klõps hiire keskmise nupuga asetab parajasti lõikepuhvris oleva teksti. Kui hoida hiire keskmist nuppu klõpsates all klahvi &Ctrl;, asetatakse tekst ja saadetakse see &konsole;le.

  Kui kasutad ainult kahe nupuga hiirt, emuleerib nii hiire vasakule kui paremale nupule üheaegne vajutamine klõpsu hiire keskmise nupuga.

Parem

  Hiire parem nupp avab menüü käskudega Menüüriba näitamine, Kopeeri, Aseta, Saada signaal, Haagi seanss (või Haagi seanss lahti), Nimeta seanss ümber..., Järjehoidjad, Seadistused ja Sulge seanss. Kiirklahv &Ctrl; hiire parem nupp avab menüü Seanss.

### Menüüriba

Menüüriba asub &konsole; akna ülaosas. Seda saab peita ja taastada käsuga Menüüriba näitamine, mis asub menüüst Seadistused. Kui menüüriba on peidetud, saab käsku Menüüriba näitamine kasutada hiire parema nupu klõpsuga aknas või kiirklahviga &Alt;&Ctrl;M.

#### Menüü Seanss

Seanss Uus shell

  Avab uue seansi terminalishellis. Sama tulemuse annab &Alt;&Ctrl;N.

Seanss Uus Linuxi konsool

  Avab uue seansi, emuleerides ainult tekstipõhist &Linux; süsteemi.

  Täpsemalt saab seda, kuidas &Linux; konsool erineb tüüpilisest &UNIX; konsoolist, saab lugeda &konsole; lähtetekstipaketis olevast failist `README.linux.console`. Kui see sulle korda ei lähe, ei pruugi sa oma pead sellega ka vaevata.

Seanss Uus Midnight Commander

  Avab uue seansi graafilise failisirvijaga Midnight Commander.

Seanss Uus administraatori konsool

  Avab uue seansi terminalishelliga, mille kasutajaks on administraator (root).

  Pärast administraatori parooli küsimist, ilmub viip #, mis annab märku, et kasutaja töötab administraatori õigustega. Seda on sageli vaja uue tarkvara paigaldamiseks ja muudeks süsteemi hooldamise vajadusteks, kuid igatahes peaks selle võimaluse kasutamisega olema äärmiselt ettevaatlik, sest nii võib tekkida ka ääretu kahju.

Seanss Uus administraatori Midnight Commander

  Avab uue seansi graafilise failisirvijaga Midnight Commander, mille kasutajaks on administraator (root).

  Pärast administraatori parooli küsimist, ilmub viip #, mis annab märku, et kasutaja töötab administraatori õigustega. Seda on sageli vaja uue tarkvara paigaldamiseks ja muudeks süsteemi hooldamise vajadusteks, kuid igatahes peaks selle võimaluse kasutamisega olema äärmiselt ettevaatlik, sest nii võib tekkida ka ääretu kahju.

Seanss Uus screen'i seanss

  Avab uue seansi virtuaalse terminalihalduriga Screen. Täpsemat infot leiab käsuga ``man` `screen``.

Seanss Uus shell järjehoidjast

  Käivitab uue terminalishelli järjehoidjate nimekirjast valitud kataloogis.

Seanss Sulge seanss

  Sulgeb käesoleva seansi.

Seanss Välju

  Väljub &konsole;st, sulgedes kõik seansid ja neist käivitatud rakendused.

Uue seansi saab käivitada ka kiirklahviga. Vaikimisi on selleks &Alt;&Ctrl;N . Määrata võib ka oma kiirklahvi, kasutades menüükäsku Seadistused Kiirklahvide seadistamine....

Kiirklahve määravad failid laiendiga `*.keytab`, mis asuvad kataloogis `$`KDEDIR`/share/apps/konsole`. Keytab-faili valimiseks kasuta menüükäsku Seadistused Klaviatuur. Täpsemat infot kiirklahvide määramise kohta leiab failist `README.KeyTab`.

Saadaolevate seansside nimekiri võib erineda siintoodust. &konsole; tuvastab süsteemi paigaldatud rakendused ning kohandab nimekirja vastavalt olemasolevatele võimalustele.

Lõpuks arvesta ka seda, et seansitüüpe saab muuta ning luua uusi &kcontrolcenter;e moodulis Süsteem Konsool.

#### Menüü Redigeerimine

Redigeerimine Kopeeri

  Kopeerib valitud teksti lõikepuhvrisse.

Redigeerimine Aseta

  Asetab teksti lõikepuhvrist kursori asukohta.

Redigeerimine Saada signaal

  Saada signaal - saadab valitud signaali shelliprotsessile või mõnele muule protsessile, mis käivitati uue seansi käivitamisega.

  Praegu saab kasutada signaale:

  STOP | peatab protsessi
  CONT | jätkab, kui on peatatud
  HUP | juhtivas terminal tuvastati hangumine või juhtiva protsessi surm
  INT | katkestus klaviatuurilt
  TERM | lõpetamise signaal
  KILL | tapmise signaal
  USR1 | kasutaja signaal 1
  USR2 | kasutaja signaal 2

  Täpsemat infot vaata oma süsteemi manuaalilehekülgedelt käsuga ``man` `7 signal``.

Redigeerimine Puhasta terminal

  Eemaldab seansiaknast kogu teksti.

Redigeerimine Lähtesta ja puhasta terminal

  Käivitab aknas uues seansi.

Redigeerimine Otsing puhvrist...

  Otsib olemasolevas ajaloos sõna või tekstistringi. Võimalik on tõstutundlik või tagasisuunas otsimine, samuti regulaaravaldiste kasutamine. Klõps nupul Redigeeri avab &kde; graafilise regulaaravaldiste loomise redaktori.

Redigeerimine Otsi järgmine

  Liigub otsitava teksti järgmisele esinemiskohale.

Redigeerimine Otsi eelmine

  Liigub otsitava teksti eelmisele esinemiskohale.

Redigeerimine Salvesta ajalugu faili...

  Salvestab olemasoleva ajaloo tekstifailina.

Redigeerimine Tühjenda ajalugu

  Tühjendab käesoleva seansi ajaloo.

Redigeerimine Tühjenda kõik ajalood

  Tühjendab kõigi seansside ajaloo.

#### Menüü Vaade

Vaade Haagi seanss lahti

Vaade Nimeta seanss ümber...

  Avab dialoogi, kus saab muuta käesoleva seansi nime. Nime näidatakse seansi kaardil. Sama tulemuse annab kiirklahv &Alt;&Ctrl;S .

Vaade Jälgi aktiivsust

  Märgib käesoleva seansi, nii et see näitab teadet, kui toimub mingi tegevus. Seansi kaardile ilmub väikese elektripirni kujuline ikoon. Nii saab teada millegi toimumisest, kui näiteks parajasti töötatakse teises seansis. Aega, mida loetakse vaikuseks, saab muuta &konsole; seadistustedialoogis.

Vaade Jälgi vaikust

  Märgib käesoleva seansi, nii et see näitab teadet, kui 10 sekundi jooksul midagi ei juhtu. Seansi kaardile ilmub tumedat värvi elektripirni kujuline ikoon. Nii saab teada, kui mingi ülesande täitmine katkeb, kui ise töötad samal ajal teises seansis. Aega, mida loetakse vaikuseks, saab muuta &konsole; seadistustedialoogis.

Vaade Saada sisend kõigile seanssidele

  Märgib käesoleva seansi, nii et kõik selles antud käsud saadetakse kõigile seanssidele. Seansi kaardile ilmub väike ikoon, mis meenutab, et peaksid hoolikalt kaaluma antavaid käske! Näiteks ``rm` `-rf`` ei ole arvatavasti üldse hea mõte.

Vaade Liiguta seanss vasakule

  Liigutab käesoleva seansi kaardi ühe sammu võrra vasakule.

Vaade Liiguta seanss paremale

  Liigutab käesoleva seansi kaardi ühe sammu võrra paremale.

  Seansside vahel saab liikuda ka kiirklahvidega &Shift;Nool vasakule ja &Shift;Nool paremale.

Vaade Seansi ikoonid...

  Menüü lõpetab olemasolevate seansside nimekiri. Neist mõne valimine aktiveerib antud seansi.

  Olemasolevate seansside läbikerimiseks saab kasutada ka kiirklahve &Shift;Nool vasakule ja &Shift;Nool paremale.

#### Menüü Järjehoidjad

Järjehoidjad Lisa järjehoidja

  Lisab käesoleva asukoha järjehoidjate nimekirja.

Järjehoidjad Redigeeri järjehoidjaid

  Võimalus redigeerida järjehoidjate nimekirja.

Järjehoidjad Uus järjehoidjate kataloog

  Lisab uue kataloogi järjehoidjate nimekirja.

Järjehoidjate nimekirja näidatakse menüü lõpus. Mingile asukohale liikumiseks vali vastav järjehoidja.

Kaugühenduste avamiseks võib järjehoidjate redaktoris käsitsi lisada URL-id, näiteks ssh://kasutaja@masin või telnet://masin.

#### Menüü Seadistused

Seadistused Menüüriba näitamine

  Näitab või peidab menüüriba.

Seadistused Tööriistariba näitamine

  Näitab või peidab tööriistariba.

Seadistused Kerimisriba

  Määrab kerimisriba asukoha: peidetud, vasakul või paremal.

Seadistused Täisekraan

  Lülitab akent täisekraani ja tavalise suuruse vahel.

Seadistused Signaal

  Määrab süsteemse märguande vastavalt &kde; süsteemsele märguandele või visuaalse signaali või üldse signaali puudumise.

Seadistused Font

  Määrab fondi ja selle suuruse

  Vali Kohandatud, mis võimaldab kasutada suvalist fondi, selle suuruse ja stiili kombinatsiooni. Täpsemat infot ja vihjeid, millised fondid korralikult toimivad, elaib &konsole; lähtetekstipaketis olevast failist `README.fonts`.

Seadistused Klaviatuur

  Võimalus valida meelepärane klaviatuur.

  Klaviatuuride nimekiri on võetud failidest `$KDEDIR/share/apps/konsole/*.keytab`. Täpsemalt kirjeldab klaviatuurifailide vormingut fail `$KDEDIR/share/apps/konsole/README.KeyTab`. Lisa või muuda neid faile vastavalt oma vajadustele.

Seadistused Skeem

  Määrab teksti ja tausta värvi.

  Skeemide nimekiri on võetud failidest `$KDEDIR/share/apps/konsole/*.schema`. Täpsemalt kirjeldab skeemifailide vormingut fail `$KDEDIR/share/apps/konsole/README.Schema`. Lisa või muuda neid faile vastavalt oma vajadustele. Saab ka luua omaenda skeeme, kasutades menüükäsku Seadistused Konsooli seadistamine....

Seadistused Suurus

  Määrab tekstiala suuruse (veergudes ja ridades).

Seadistused Ajalugu...

  Avab dialoogi, kus saab seadistada ajaloopuhvrit. Kasti Lubatud abil saab määrata, kas ridu, mis on ekraanilt älja jooksnud, salvestatakse või mitte. Ridade arv võimaldab otse tekstikasti sisesta, mitu rida meelde jäetakse, samuti saab kerimisnuppude abil arvu sajakaupa suurendada või vähendada. Nupp Vaikeväärtused lülitab ridade arvu vaikeväärtusele, milleks on 1000 rida. Kui määrata väärtuseks 0, salvestatakse kogu ajalugu. Klõps nupul OK salvestab tehtud muutused, klõps nupul Loobu sulgeb dialoogi ilma muudatusi salvestamata. Klõps nupul Abi avab käesoleva käsiraamatu ja näitab just sedasama teksti, mida praegu loed.

Seadistused Salvesta seadistused

  Salvestab parajasti kehtivad seadistused uue vaikeväärtusena.

Seadistused Salvesta seansside profiil...

  Salvesta käesolevad seansid meelepärase nimega. Hiljem saab profiili kasutada näiteks &konsole; käivitamisel käsurealt võtmega `--profile`, lisades sellele profiili nime.

Seadistused Kiirklahvide seadistamine...

  Võimaldab kohandada &konsole; käskude kiirklahve.

Seadistused&konsole; seadistamine...

  Avab &kcontrolcenter;e mooduli, kus saab muuta paljusid &konsole; käitumise ja väljanägemise omadusi, sealhulgas ka luua omaenda skeeme ning muuta olemasolevaid seansse.

#### Menüü Abi

F1 Abi Konsooli käsiraamat

  Avab käesoleva dokumendi sisukorra.

Abi Päeva nõuanne...

  Näitab &konsole; kasutamise kohta käivat nõuannet. Kui soovid seda näha igal &konsole; käivitamisel, märgi ära kast Nõuandeid näidatakse käivitamisel.

Abi Saada vearaport...

  Võimaldab saata veateate või mõne soovi &konsole; kohta.

Abi Konsooli info...

  Info &konsole; autori kohta

Abi KDE info...

  Info KDE projekti kohta

### Tööriistariba

Tööriistariba asub &konsole; akna allosas.

Seda saab peita ja näidata käsuga Tööriistariba näitamine menüüs Seadistused või klõpsuga riba otsas asuval sangal. Ribal paikneb ikoon Uus ning käesolevate seansside ikoonid. Klõps ikoonil Uus avab uue shelliseansi.

Topeltklõps seansi kaardil avab dialoogi, kus saab muuta seansi nime. Sama tulemuse annab kiirklahv &Alt;&Ctrl;S.

Klõps seansi ikoonil muudab selle seansi aktiivseks.

Kui tööriistariba on peidetud, saab seansside vahel liikuda kiirklahvidega &Shift;Nool vasakule ja &Shift;Nool paremale.

### Käsurea võtmed

Kui &konsole; käivitatakse käsurealt, saab selle käitumist muuta mitmete võtmete abil.

`--help`

  Näitab võtmete nimekirja

`--name` `nimi`

  Määrab tiitliribal näidatava nime

`--ls`

  Käivitab sisselogimisshelli keskkonna. Täpne käitumine sõltub süsteemist, kuid üldiselt tähendab see faili `~/.profile` või `~/.bash_profile` lugemist (kui sa sellest aru ei saa, ei ole vaja muret tunda, kuid siiski tasub seda meeles pidada, sest ükskord võib ju ka sellist asja vaja minna).

`-T` `tiitel`

  Määrab akna tiitli

`--tn` `terminal`

  Määrab keskkonnamuutuja TERM väärtuse. Täpsemat infot muutuja TERM kohta leiab käsuga ``man` `xterm`` .

`--xwin`

  Ignoreeritav

`--noclose`

  Väldib &konsole; sulgemist, kui ainult ühe seansiakna korral antakse käsk ``exit``.

`--nohist`

  Keelab aknast välja liikunud ridade salvestamise

`--nomenubar`

  Käivitab &konsole; ilma menüüribata

`--notoolbar`

  Käivitab &konsole; ilma tööriistaribata

`--noframe`

  Käivitab &konsole; ilma raamita

`--noscrollbar`

  Käivitab &konsole; ilma kerimisribata

`--noxft`

  Käivitab &konsole; ilma Xft antialiaseta. Väikest fonti võib antialiase kasutamisel olla raske lugeda.

`--vt_sz` `CCxLL`

  Käivitab terminaliakna CC veeru ja LL rea suurusena

`--type` `tüüp`

  Käivitab vaikeseansi asemel määratud tüüpi seansi.

`--keytab` `fail`

  Käivitab &konsole; määratud .keytab-failiga, mis määrab klaviatuuri.

`--profile` `fail`

  Käivitab &konsole; salvestatud seansside valikuga.

`--schema` `fail`

  Käivitab &konsole; määratud .schema-failiga, mis määrab väljanägemise.

`--script` `fail`

  Võimaldab kasutada laiendatud DCOP käske teksti asetamiseks seanssi.

`--workdir` `kataloog`

  Avab `kataloog`i töökataloogina.

`-e` `käsk`

  Käivitab shelli asemel `käsu`.

Näide:

    bash$
     konsole --vt_sz
      90x25 --nohist

käivitab &konsole; akna mõõtmetega 90 veergu ja 25 rida ning ilma ajaloopuhvrita

&konsole; tunnistab ka tavalisi &Qt; ja &kde; võtmeid:

`--help-qt`

  Qt spetsiifiliste võtmete nimekiri

`--help-kde`

  KDE spetsiifiliste võtmete nimekiri

`--help-all`

  Kõigi võtmete nimekiri

`--author`

  Näitab autorite nimesid

`-v,--version`

  Näitab versiooni

`--license`

  Näitab litsentsiinfot

## Autorid ja autoriõigus

&konsole; hooldaja on Stephan Binner Stephan.Binner@gmx.de

Rakenduse &konsole; autoriõigus 1997-2002: Lars Doelle lars.doelle@on-line.de

Käsiraamatu kirjutas Jonathan Singer jsinger@leeta.net

DocBook SGML vormingusse teisendasid Michael McBride mmcbride@ematic.com ja Lauri Watts lauri@kde.org

Tõlge eesti keelde Marek Laane bald@online.ee

&underFDL; &underGPL;

## &konsole; mitte-&Linux; platvormidel

Info &konsole; kasutamise kohta muudel platvormidel kui &Linux; leidub &konsole; lähtetekstipaketis failis `README.ports`. Seal on toodud nimekiri konkreetsete platvormide (Tru64, &Solaris;, OpenBSD) ekspertidest ning soov leida vabatahtlikke muude &UNIX; platvormide portide jaoks.

&documentation.index;